Name:           ps3pf-utils
Version:        2.1
Release:        1%{?dist}
Summary:        Utilities for Sony PlayStation 3

Group:          System Environment/Base
License:        GPLv2
URL:            http://www.kernel.org/pub/linux/kernel/people/geoff/cell/
Source0:        ps3pf_utils-%{version}.tar.bz2
Patch1:         ps3pf_utils-2.1-rpath.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf automake libtool
Obsoletes:      ps3pf_utils < 1.0.9-3
ExclusiveArch:  ppc ppc64

%description
Utilities for Sony PlayStation 3

%package libs
Group:          System Environment/Libraries
Summary:        Libraries for managing Sony PlayStation 3 system

%description libs
Libraries for managing Sony PlayStation 3 system

%package libs-devel
Group:          System Environment/Libraries
Summary:        Development package for ps3pf-utils-libs
Requires:       ps3pf-utils-libs = %{version}-%{release}

%description libs-devel
Development package for ps3pf-utils-libs, which provides functions for
managing Sony PlayStation 3 systems.


%prep
%setup -q -n ps3pf_utils-%{version}
%patch1 -p1

%build
./bootstrap
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_sbindir}/ps3-flash-util
%{_bindir}/ps3-boot-game-os
%{_bindir}/ps3-video-mode
%{_mandir}/man8/ps3-flash-util.8.gz
%doc COPYING

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files libs
%{_libdir}/libps3-utils.so.1.0.0
%{_libdir}/libps3-utils.so.1
%doc COPYING

%files libs-devel
%{_includedir}/ps3-av.h
%{_includedir}/ps3-flash.h
%{_libdir}/libps3-utils.so
%doc COPYING

%changelog
* Fri Nov 23 2007 David Woodhouse <dwmw2@redhat.com> 2.1-1
- New package, split from ppc64-utils
